summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2018-03-09 11:25:40 -0600
committerMatthew Thode <prometheanfire@gentoo.org>2018-03-09 11:58:46 -0600
commit6be966567cce366a0cc092b082b771edc814dfa7 (patch)
tree3ec7f53ec67ca4f4d64797326e61978d717f4e4e
parentapp-backup/attic: allow use of renamed msgpack (diff)
downloadgentoo-6be966567cce366a0cc092b082b771edc814dfa7.tar.gz
gentoo-6be966567cce366a0cc092b082b771edc814dfa7.tar.bz2
gentoo-6be966567cce366a0cc092b082b771edc814dfa7.zip
app-backup/borgbackup: allow the use of the msgpack rename w/ fast stable
Package-Manager: Portage-2.3.19, Repoman-2.3.6 RepoMan-Options: --force
-rw-r--r--app-backup/borgbackup/borgbackup-1.1.3-r1.ebuild (renamed from app-backup/borgbackup/borgbackup-1.1.3.ebuild)8
-rw-r--r--app-backup/borgbackup/borgbackup-1.1.4-r1.ebuild (renamed from app-backup/borgbackup/borgbackup-1.1.4.ebuild)8
-rw-r--r--app-backup/borgbackup/borgbackup-9999.ebuild8
3 files changed, 21 insertions, 3 deletions
diff --git a/app-backup/borgbackup/borgbackup-1.1.3.ebuild b/app-backup/borgbackup/borgbackup-1.1.3-r1.ebuild
index f0eea83acae..bb6bf0f8a5e 100644
--- a/app-backup/borgbackup/borgbackup-1.1.3.ebuild
+++ b/app-backup/borgbackup/borgbackup-1.1.3-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -38,3 +38,9 @@ DEPEND="
dev-python/cython[${PYTHON_USEDEP}]
${RDEPEND}
"
+
+python_prepare_all() {
+ # allow use of new (renamed) msgpack
+ sed -i '/msgpack/d' setup.py || die
+ distutils-r1_python_prepare_all
+}
diff --git a/app-backup/borgbackup/borgbackup-1.1.4.ebuild b/app-backup/borgbackup/borgbackup-1.1.4-r1.ebuild
index 664c1f81223..e04ac14d424 100644
--- a/app-backup/borgbackup/borgbackup-1.1.4.ebuild
+++ b/app-backup/borgbackup/borgbackup-1.1.4-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -38,3 +38,9 @@ DEPEND="
dev-python/cython[${PYTHON_USEDEP}]
${RDEPEND}
"
+
+python_prepare_all() {
+ # allow use of new (renamed) msgpack
+ sed -i '/msgpack/d' setup.py || die
+ distutils-r1_python_prepare_all
+}
diff --git a/app-backup/borgbackup/borgbackup-9999.ebuild b/app-backup/borgbackup/borgbackup-9999.ebuild
index 664c1f81223..e04ac14d424 100644
--- a/app-backup/borgbackup/borgbackup-9999.ebuild
+++ b/app-backup/borgbackup/borgbackup-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -38,3 +38,9 @@ DEPEND="
dev-python/cython[${PYTHON_USEDEP}]
${RDEPEND}
"
+
+python_prepare_all() {
+ # allow use of new (renamed) msgpack
+ sed -i '/msgpack/d' setup.py || die
+ distutils-r1_python_prepare_all
+}